namespace Quadarax.Foundation.Core.QMonitor
{
    public class QMonClientConfiuration : QMonHostConfiguration
    {
        public Uri TargetUriGeneral { get; set; }
        public Uri TargetUriData { get; set; }

        public TimeSpan EmitGeneralInterval { get; set; }
        public TimeSpan EmitDataInterval { get; set; }

        public static QMonClientConfiuration CreateDefault()
        {
            return new QMonClientConfiuration
            {
                Enabled = true,
                TargetUriGeneral = new Uri("udp://127.0.0.1:5100"),
                TargetUriData = new Uri("udp://127.0.0.1:5101"),
                EmitGeneralInterval = TimeSpan.FromSeconds(5),
                EmitDataInterval = TimeSpan.FromSeconds(1)
            };
        }
    }
}
